#ifndef FIGELEMENT_ARC
#define FIGELEMENT_ARC

#include "figelement.h"



class figarc : public figelement
{
public:
  friend class figarcTestproxy;
  typedef vector<double> koordarray;

  figarc(const double, const double, const double, const double, const double, const double);
  void write(std::ostream& stream) const;
  void translation(const double tx, const double ty);
  void rotation(const double degree);
  void scaling(const double scale);

  private:
    int TYP;    		//(object_code) objekt Typ
    int JUST;		//(sub_type)textausrichtung 0=links,1=mitte,2=rechts
    int COLOR;		//(color)farbe:0=schwarz;1=blau;2=gruen;3=hellblau,4=rot,5=lila,6=gelb [0,31]
    int EBENE;		//(depth)Ebene
    int PINSL;		//(pen_style)
    int FONT;		//(font)
    float SIZE;		//(font_size)Size
    float RAD;		//(angle)winkel (rad)
    int FLAG;		//(font_flags)Flags: 1.bit=rigid,2.bit=spezial,3.bit=PS/latex,4.bit=hidden
    float PS1;		//(height)schriftart
    float PS2;		//(length)schriftart
    koordarray POSX;		//(x)pos x (negativ)
    koordarray POSY;		//(y)pos y
    int LINE_STYLE;	//(line_style)
    int WIDTH;		//(thickness) breite
    int PEN_COLOR;	//(pen_color)farbe:0=schwarz;1=blau;2=gruen;3=hellblau,4=rot,5=lila,6=gelb [0,31]
    int FUELL_COLOR;	//(fill_color)farbe:0=schwarz;1=blau;2=gruen;3=hellblau,4=rot,5=lila,6=gelb [0,31]
    int FILL;		//(area_fill)
    float STYLE_VAL;	//(style_val)
    int JOIN_STYLE;	//(join_style)
    int CAP_STYLE;	//(cap_style) Ecken 
    int RADIUS;	//(radius)1/80 inch
    int ARROW_F;	//(forward_arrow) Vorwaerts Pfeil 0=off 1=on
    int ARROW_B;	//(backward_arrow) Rueckwaertspfeil 0=off 1=on
    string TEXT;	//(string[])
    string KOM;	//kommentar

  int	direction;	//(0: clockwise, 1: counterclockwise)
  double	center_x, center_y;	//(center of the arc)
};




#endif //FIGELEMENT_ARC
