#ifndef FIG_COMPOUND
#define FIG_COMPOUND

#include <vector>
#include "figobject.h"
#include "figelement.h"


using std::vector;



class figcompound : public figelement
{
  public: 
    template <class T>
    inline void add(T const&);

    void write(ostream& stream) const;
    void translation(const double zx, const double zy);
    void rotation(const double degree);
    void scaling(const double scale);

  private:
    typedef vector<figobject> objectarray;
    objectarray objects;
};

template <class T>
void figcompound::add(T const& t)
{
  objects.push_back(figobject(t));
}



#endif //FIG_COMPOUND
