#include "figobject.h"
#include <ostream>
#include <cmath>

using std::ostream;


figobject::figobject(figobject const& fc) : pimpl(fc.pimpl->clone()) 
{
}

figobject& figobject::operator=(figobject const& fc)
{
  this->pimpl.reset(fc.pimpl->clone());
  return *this;
}


void figobject::write(ostream& stream) const 
{ 
  return this->pimpl->write(stream); 
}

void figobject::translation(const double zx, const double zy)
{ 
  return this->pimpl->translation(zx,zy); 
}

void figobject::rotation(const double degree)
{ 
  return this->pimpl->rotation(degree); 
}

void figobject::scaling(const double scale)
{ 
  return this->pimpl->scaling(scale); 
}



